Bug 1253633 - /var/log/squidGuard permissions
/var/log/squidGuard permissions
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: squidGuard (Show other bugs)
epel7
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 06:57 EDT by Brian J. Murrell
Modified: 2016-07-09 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: squidGuard-1.4-26.fc22 squidGuard-1.4-26.fc23 squidGuard-1.4-26.fc24 squidGuard-1.4-10.el6 squidGuard-1.4-26.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-30 10:52:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2015-08-14 06:57:30 EDT
Description of problem:
The permissions of /var/log/squidGuard in the RPM are drwxr-xr-x with owner:group root:root.  But that cannot possibly work given that squidGuard is run as a child of squid which runs with ownership squid:squid.

Version-Release number of selected component (if applicable):
squidGuard-1.4-20.el7.1.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install squid and squidGuard
2. Utilize squidGuard in squid
3. Fetch something that squidGuard should create a new log about

Actual results:
Permission denied creating the log file(s)

Expected results:
Should be able to create log files

Additional info:
Comment 1 Fedora Update System 2016-06-21 10:27:55 EDT
squidGuard-1.4-25.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a218333fce
Comment 2 Fedora Update System 2016-06-21 10:28:12 EDT
squidGuard-1.4-25.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-32850bf4cb
Comment 3 Fedora Update System 2016-06-21 10:28:26 EDT
squidGuard-1.4-25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9babc0b545
Comment 4 Fedora Update System 2016-06-21 10:28:41 EDT
squidGuard-1.4-25.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7b9cbdbca8
Comment 5 Fedora Update System 2016-06-21 10:28:55 EDT
squidGuard-1.4-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7c7e5786e
Comment 6 Fedora Update System 2016-06-21 10:47:04 EDT
squidGuard-1.4-26.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8a01aa629
Comment 7 Fedora Update System 2016-06-21 10:47:23 EDT
squidGuard-1.4-26.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b19472a3c
Comment 8 Fedora Update System 2016-06-21 10:47:40 EDT
squidGuard-1.4-26.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbb5a65729
Comment 9 Fedora Update System 2016-06-21 10:47:56 EDT
squidGuard-1.4-26.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d3e4c82ed7
Comment 10 Fedora Update System 2016-06-21 21:48:07 EDT
squidGuard-1.4-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e7c7e5786e
Comment 11 Fedora Update System 2016-06-21 22:18:46 EDT
squidGuard-1.4-26.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d3e4c82ed7
Comment 12 Fedora Update System 2016-06-21 22:26:00 EDT
squidGuard-1.4-26.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbb5a65729
Comment 13 Fedora Update System 2016-06-21 22:26:07 EDT
squidGuard-1.4-26.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b19472a3c
Comment 14 Fedora Update System 2016-06-21 22:53:56 EDT
squidGuard-1.4-26.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8a01aa629
Comment 15 Fedora Update System 2016-06-30 10:51:59 EDT
squidGuard-1.4-26.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-06-30 15:52:53 EDT
squidGuard-1.4-26.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-06-30 17:28:28 EDT
squidGuard-1.4-26.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-07-09 19:18:29 EDT
squidGuard-1.4-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-07-09 22:21:15 EDT
squidGuard-1.4-26.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.